Delete a DID
Roles
Analytics Events
/v1/dids/{id}Deletes a DID and all associated metadata by providing its URI. This includes all the removal of all associated private keys from the Key Management System (KMS).
Analytic events
- DID_DELETE_START
- DID_DELETE_SUCCESS
- DID_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
DID
didResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/dids/did:key:z6Mkjr7vfzBfamiN6Wi6cyQUgTq6CEMXP1MzWQawsUEXJoa9"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Resolve a DID GET
Retrieves a DID and its metadata from the tenant by its URI. This may involve a network call depending on the method involved: - For did:key the public key is encapsulated in the DID URI itself. - For did:web it must be resolved by accessing the `/.well-known/did.json` path on its domain. ### **Analytic events** * DID_RETRIEVE_START * DID_RETRIEVE_SUCCESS * DID_RETRIEVE_FAIL
Well known DID configuration GET
Returns a list of Decentralized Identifier (DID) Configuration entries from the tenant. These are automatically created for **all** DIDS created on a tenant so that they can be used by any party aiming to establish and verify the domain-DID linkage by exposing cryptographic proofs. Thus, this endpoint is unprotected, public facing and can be deterministically found at the root of the tenant subdomain or alias by any party. Refer to [Well Known DID Configuration](https://identity.foundation/.well-known/resources/did-configuration) on the Decentralized Identity Foundation website for more information.